Bug 587596 - java_cup should be a Requirement and should be on CLASSPATH
java_cup should be a Requirement and should be on CLASSPATH
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: weka (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Milos Jakubicek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-30 06:35 EDT by Mary Ellen Foster
Modified: 2010-06-08 15:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: weka-3.6.2-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 15:29:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2010-04-30 06:35:34 EDT
Description of problem:
When starting weka, it prints error messages about not being able to find java_cup.* classes. This is fixed by adding
    set_classpath "java_cup"
to /usr/bin/weka.

This also seems to indicate that java_cup should be a package requirement of weka (which it doesn't seem to be) -- although it's an indirect requirement of other java-related things.

Version-Release number of selected component (if applicable):
weka-3.6.2-2.fc12.1.x86_64

How reproducible:
Every time
Comment 1 Milos Jakubicek 2010-04-30 11:39:16 EDT
Thanks for reporting, I'll fix that asap, including the possible db bindings.
Comment 2 Fedora Update System 2010-05-01 06:31:44 EDT
weka-3.6.2-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/weka-3.6.2-3.fc12
Comment 3 Fedora Update System 2010-05-01 06:32:26 EDT
weka-3.6.2-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/weka-3.6.2-3.fc13
Comment 4 Fedora Update System 2010-05-04 02:15:18 EDT
weka-3.6.2-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update weka'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/weka-3.6.2-4.fc13
Comment 5 Fedora Update System 2010-05-04 02:15:22 EDT
weka-3.6.2-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update weka'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/weka-3.6.2-4.fc12
Comment 6 Howard Ning 2010-06-01 08:57:35 EDT
Some error even with weka-3.6.2-4
---Registering Weka Editors---
Trying to add database driver (JDBC): RmiJdbc.RJDriver - Error, not in CLASSPATH?
Trying to add database driver (JDBC): jdbc.idbDriver - Error, not in CLASSPATH?
Trying to add database driver (JDBC): com.mckoi.JDBCDriver - Error, not in CLASSPATH?
Comment 7 Fedora Update System 2010-06-08 15:29:53 EDT
weka-3.6.2-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-06-08 15:37:58 EDT
weka-3.6.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.